package com.jakubu9333.grammarManager.dao;

import com.jakubu9333.grammarManager.model.FileMetadata;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author Jakub Uhlarik
 */
public interface FileMetaDataRepo extends JpaRepository<FileMetadata, Long> {
    FileMetadata getFileHolderByGeneratedTrueAndGrammar_IdAndXml(Long grammarId, boolean xml);

    List<FileMetadata> findAllByGrammarId(Long grammar_id);
}
